PostgreSQL Bugs

Collected from the PG bugs email list.

Bug ID16379
PG VersionUnsupported/Unknown
OSLinux
Opened2020-04-19 16:13:31+00
Reported byShaoqi Bai
StatusNew

Body of first available message related to this bug follows.

The following bug has been logged on the website:

Bug reference:      16379
Logged by:          Shaoqi Bai
Email address:      (redacted)
PostgreSQL version: Unsupported/Unknown
Operating system:   Linux
Description:        

postgres version is using branch REL9_0_23

docker pull centos:6
docker run --rm -v  ~/postgres:/tmp/b  centos:6
yum install -y krb5-devel krb5-libs krb5-server gcc 
./configure -v  --with-krb5 --without-readline --without-zlib
the output is like following
```
checking for library containing com_err... -lkrb5
checking for library containing krb5_sendauth... none required
```
docker pull centos:7
docker run --rm -v  ~/postgres:/tmp/b  centos:7
yum install -y krb5-devel krb5-libs krb5-server gcc 
./configure -v  --with-krb5 --without-readline --without-zlib
the output is like following
```
checking for library containing com_err... -lcom_err
checking for library containing krb5_sendauth... -lkrb5
```

Messages

DateAuthorSubject
2020-04-19 16:13:31+00PG Bug reporting formBUG #16379: configure with krb5 in centos6 will compile without linking to library com_err and krb5
2020-04-19 17:20:07+00Tom LaneRe: BUG #16379: configure with krb5 in centos6 will compile without linking to library com_err and krb5